Index: flashchips.h
===================================================================
--- flashchips.h	(revision 1168)
+++ flashchips.h	(working copy)
@@ -38,6 +38,18 @@
 #define GENERIC_DEVICE_ID	0xffff	/* Only match the vendor ID */
 
 #define ALLIANCE_ID		0x52	/* Alliance Semiconductor */
+#define ALLIANCE_AS29F002B	0x34
+#define ALLIANCE_AS29F002T	0xB0
+#define ALLIANCE_AS29F010	0x04
+#define ALLIANCE_AS29F040	0xA4
+#define ALLIANCE_AS29F200B	0x57
+#define ALLIANCE_AS29F200T	0x51
+#define ALLIANCE_AS29LV160B	0x49
+#define ALLIANCE_AS29LV160T	0xCA
+#define ALLIANCE_AS29LV400B	0xBA
+#define ALLIANCE_AS29LV400T	0xB9
+#define ALLIANCE_AS29LV800B	0x5B
+#define ALLIANCE_AS29LV800T	0xDA
 
 #define AMD_ID			0x01	/* AMD */
 #define AM_29DL400BT		0x0C
